package org.dromara.system.ai.service;

import org.dromara.system.ai.domain.bo.AiStoreEmbeddingBo;

import java.util.List;

/**
 * @author destiny
 * @description:
 * @date 2025/9/17 18:13
 */
public interface VectorStoreService {

    void storeEmbeddings(AiStoreEmbeddingBo storeEmbeddingBo);

    void createSchema(String kid,String modelName);

    void removeByDocId( String docId);

    void removeById(String id,String modelName);
}
